#include <iostream>
using namespace std;
int main (){
int T, k=10, s=1, br=0;
cin>>T;
int n[T];
for (int i=0; i<T; i++){
cin>>n[i];
for (int b=1; b<n[i]; b++){
s*=b;
    br++;
;
cout<<s/br;}}
return 0;
}